/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <studio/undocommand.hpp>

#include <nostalgia/gfx/palette.hpp>

#include "commands.hpp"

namespace nostalgia::gfx {

class RenamePageCommand: public studio::UndoCommand {
	private:
		Palette &m_pal;
		size_t m_page = 0;
		ox::String m_name;

	public:
		RenamePageCommand(Palette &pal, size_t page, ox::StringParam name) noexcept;

		~RenamePageCommand() noexcept override = default;

		[[nodiscard]]
		int commandId() const noexcept final;

		ox::Error redo() noexcept final;

		ox::Error undo() noexcept final;

};

}